BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository:

## Public Member Functions
| ProcessUserTimeStampRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor, OrganizationCommonRepository organizationCommonRepository, UserProfileRepository userProfileRepository, IConfiguration configuration, EmailSenderService emailSenderService)
bool | IsEditRequest (Guid userId, DateTime checkDate)
async Task | Copy ()
async Task< int > | CountRecordAsync ()
async Task< ProcessUserTimeStamp?> | GetTimestampByDateAsync (Guid keycloakId, DateTime date)
async Task< ProcessUserTimeStamp?> | GetLastRecord (Guid keycloakId)
async Task< List< ProcessUserTimeStamp > > | GetTimeStampHistoryAsync (Guid keycloakId, int year, int page=1, int pageSize=10, string keyword="")
async Task< int > | GetTimeStampHistoryForAdminCountAsync (DateTime startDate, DateTime endDate)
async Task< List< ProcessUserTimeStamp > > | GetTimeStampHistoryByRangeForUserAsync (Guid userId, DateTime startDate, DateTime endDate)
async Task< List< ProcessUserTimeStamp > > | GetTimeStampHistoryForAdminAsync (DateTime startDate, DateTime endDate)
async Task< ProcessUserTimeStamp?> | GetTimeStampById (Guid id)
Public Member Functions inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, ProcessUserTimeStamp >
| GenericLeaveRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Properties
Guid | UserOrganizationId`[get]`
Properties inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, ProcessUserTimeStamp >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ ProcessUserTimeStampRepository()

BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.ProcessUserTimeStampRepository | ( | ILeaveDbContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor,
|  | OrganizationCommonRepository | organizationCommonRepository,
|  | UserProfileRepository | userProfileRepository,
|  | IConfiguration | configuration,
|  | EmailSenderService | emailSenderService
| ) |  |
| inline

## Member Function Documentation

## ◆ Copy()

async Task BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.Copy | ( |  | ) |
| inline

## ◆ CountRecordAsync()

async Task< int > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.CountRecordAsync | ( |  | ) |
| inline

## ◆ GetLastRecord()

async Task< ProcessUserTimeStamp?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.GetLastRecord | ( | Guid | keycloakId | ) |
| inline

## ◆ GetTimestampByDateAsync()

async Task< ProcessUserTimeStamp?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.GetTimestampByDateAsync | ( | Guid | keycloakId,
|  | DateTime | date
| ) |  |
| inline

## ◆ GetTimeStampById()

async Task< ProcessUserTimeStamp?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.GetTimeStampById | ( | Guid | id | ) |
| inline

## ◆ GetTimeStampHistoryAsync()

async Task< List< ProcessUserTimeStamp > > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.GetTimeStampHistoryAsync | ( | Guid | keycloakId,
|  | int | year,
|  | int | page = `1`,
|  | int | pageSize = `10`,
|  | string | keyword = `""`
| ) |  |
| inline

## ◆ GetTimeStampHistoryByRangeForUserAsync()

async Task< List< ProcessUserTimeStamp > > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.GetTimeStampHistoryByRangeForUserAsync | ( | Guid | userId,
|  | DateTime | startDate,
|  | DateTime | endDate
| ) |  |
| inline

## ◆ GetTimeStampHistoryForAdminAsync()

async Task< List< ProcessUserTimeStamp > > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.GetTimeStampHistoryForAdminAsync | ( | DateTime | startDate,
|  | DateTime | endDate
| ) |  |
| inline

## ◆ GetTimeStampHistoryForAdminCountAsync()

async Task< int > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.GetTimeStampHistoryForAdminCountAsync | ( | DateTime | startDate,
|  | DateTime | endDate
| ) |  |
| inline

## ◆ IsEditRequest()

bool BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.IsEditRequest | ( | Guid | userId,
|  | DateTime | checkDate
| ) |  |
| inline

## Property Documentation

## ◆ UserOrganizationId

Guid BMA.EHR.Application.Repositories.Leaves.TimeAttendants.ProcessUserTimeStampRepository.UserOrganizationId
| get protected

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Leaves/TimeAttendants/ProcessUserTimeStampRepository.cs